Responder 
 
Avaliação do Tópico:
  • 0 Votos - 0 Média
  • 1
  • 2
  • 3
  • 4
  • 5
Problemas ao instalar o Firefox 3.6 (em espanhol)
09/08/2011, 22:52
Resposta: #1
Problemas ao instalar o Firefox 3.6 (em espanhol)
Tentei instalar um arquivo .deb que vinha com o Firefox 3.6, ele veio em espanhol México e eu iria baixar os plugins em português Brasil. Quando tentei instalar ele deu um erro e daí não funciona mais Gerenciador de Atualizações e o Synaptic eles dão sempre o mesmo erro. A Central de Aplicativos até que abre, mas não desinstala o programa que não chegou a instalar direito, aliás não instala e nem desinstala mais nenhum. O erro é o seguinte:

A fatal error has been detected
Exception:
E:O pacote firefox precisa ser reinstalado, mas não foi possível encontrar um arquivo para o mesmo.

Pela Central de Aplicativos
Falha na operação do pacote

Detalhes
installArchives() failed: dpkg: área de banco de dados de estados está bloqueada por outro processo

Agradeço se alguém me ajudar.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
09/08/2011, 23:11
Resposta: #2
RE: Problemas ao instalar o Firefox 3.6 (em espanhol)
Olá Augusto, seja bem vindo ao fórum!

O problema é que o pacote .deb instalado manualmente deve ser incompatível com as versões das dependências instaladas em seu sistema. O erro de não ser possível encontrar o arquivo para a reinstalação é porque o pacote .deb foi justamente instalado manualmente e não está disponível nos repositórios online. Se você remover o pacote usando o dpkg provavelmente tudo voltará ao normal.

Após isso, se o sistema já estiver OK, você pode tentar reinstalar pra ver se não vai comprometer o funcionamento do gerenciador de pacotes. Caso comprometa novamente, daí o mais indicado seria instalar uma versão do Firefox que seja compatível com as versões das dependências que você possui aí.

Aliás, se você não fizer questão de ter o Firefox e aceitar usar o Iceweasel (que é a mesma coisa que o Firefox, só com outro nome e logo devido a questões de direitos autorais), você pode simplesmente instalar o pacote iceweasel-l10n-es-mx, disponível nos repositórios, que acrescentará o idioma espanhol mexicano que você quer.

"Vamos tirar a barriga, senhor Barba? Digo..."

Debian Jessie | Usuário #517613
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
10/08/2011, 01:25
Resposta: #3
RE: Problemas ao instalar o Firefox 3.6 (em espanhol)
(09/08/2011 22:52)Augusto Junior Escreveu:  installArchives() failed: dpkg: área de banco de dados de estados está bloqueada por outro processo
O que o renatov disse está certo, porem feche tudo antes de instalar um pacote.


Lucas Saliés Brum
site | blog | telegram | medium | vk | twitter | github | .share
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
Responder 


Ir ao Fórum:


Usuários visualizando este tópico: 1 Visitantes

Entre em Contato | Fórum Debian | Voltar ao Topo | Voltar ao Conteúdo | Modo Leve (Arquivo) | Feeds RSS